org.wildfly.swarm.config

## Class Security<T extends Security<T>>

- java.lang.Object
- - org.wildfly.swarm.config.Security<T>

- Direct Known Subclasses:
    SecurityFraction

      public class Security<T extends Security<T>>
      extends Object

  The configuration of the security subsystem.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Security.SecurityResources` Child mutators for Security

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Security()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `classicVault()` Security Vault for attributes.
    `T` | `classicVault(ClassicVault value)` Security Vault for attributes.
    `T` | `classicVault(ClassicVaultConsumer consumer)` Security Vault for attributes.
    `T` | `classicVault(ClassicVaultSupplier supplier)` Security Vault for attributes.
    `Boolean` | `deepCopySubjectMode()` Sets the copy mode of subjects done by the security managers to be deep copies that makes copies of the subject principals and credentials if they are cloneable.
    `T` | `deepCopySubjectMode(Boolean value)` Sets the copy mode of subjects done by the security managers to be deep copies that makes copies of the subject principals and credentials if they are cloneable.
    `T` | `elytronKeyManager(ElytronKeyManager value)` Add the ElytronKeyManager object to the list of subresources
    `T` | `elytronKeyManager(ElytronKeyManagerSupplier supplier)` Install a supplied ElytronKeyManager object to the list of subresources
    `T` | `elytronKeyManager(String childKey)` Create and configure a ElytronKeyManager object to the list of subresources
    `T` | `elytronKeyManager(String childKey, ElytronKeyManagerConsumer consumer)` Create and configure a ElytronKeyManager object to the list of subresources
    `T` | `elytronKeyManagers(List<ElytronKeyManager> value)` Add all ElytronKeyManager objects to this subresource
    `T` | `elytronKeyStore(ElytronKeyStore value)` Add the ElytronKeyStore object to the list of subresources
    `T` | `elytronKeyStore(ElytronKeyStoreSupplier supplier)` Install a supplied ElytronKeyStore object to the list of subresources
    `T` | `elytronKeyStore(String childKey)` Create and configure a ElytronKeyStore object to the list of subresources
    `T` | `elytronKeyStore(String childKey, ElytronKeyStoreConsumer consumer)` Create and configure a ElytronKeyStore object to the list of subresources
    `T` | `elytronKeyStores(List<ElytronKeyStore> value)` Add all ElytronKeyStore objects to this subresource
    `T` | `elytronRealm(ElytronRealm value)` Add the ElytronRealm object to the list of subresources
    `T` | `elytronRealm(ElytronRealmSupplier supplier)` Install a supplied ElytronRealm object to the list of subresources
    `T` | `elytronRealm(String childKey)` Create and configure a ElytronRealm object to the list of subresources
    `T` | `elytronRealm(String childKey, ElytronRealmConsumer consumer)` Create and configure a ElytronRealm object to the list of subresources
    `T` | `elytronRealms(List<ElytronRealm> value)` Add all ElytronRealm objects to this subresource
    `T` | `elytronTrustManager(ElytronTrustManager value)` Add the ElytronTrustManager object to the list of subresources
    `T` | `elytronTrustManager(ElytronTrustManagerSupplier supplier)` Install a supplied ElytronTrustManager object to the list of subresources
    `T` | `elytronTrustManager(String childKey)` Create and configure a ElytronTrustManager object to the list of subresources
    `T` | `elytronTrustManager(String childKey, ElytronTrustManagerConsumer consumer)` Create and configure a ElytronTrustManager object to the list of subresources
    `T` | `elytronTrustManagers(List<ElytronTrustManager> value)` Add all ElytronTrustManager objects to this subresource
    `T` | `elytronTrustStore(ElytronTrustStore value)` Add the ElytronTrustStore object to the list of subresources
    `T` | `elytronTrustStore(ElytronTrustStoreSupplier supplier)` Install a supplied ElytronTrustStore object to the list of subresources
    `T` | `elytronTrustStore(String childKey)` Create and configure a ElytronTrustStore object to the list of subresources
    `T` | `elytronTrustStore(String childKey, ElytronTrustStoreConsumer consumer)` Create and configure a ElytronTrustStore object to the list of subresources
    `T` | `elytronTrustStores(List<ElytronTrustStore> value)` Add all ElytronTrustStore objects to this subresource
    `String` | `getKey()`
    `Boolean` | `initializeJacc()` Indicates if this subsystem should be in charge of initializing JACC related services.
    `T` | `initializeJacc(Boolean value)` Indicates if this subsystem should be in charge of initializing JACC related services.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `securityDomain(SecurityDomain value)` Add the SecurityDomain object to the list of subresources
    `T` | `securityDomain(SecurityDomainSupplier supplier)` Install a supplied SecurityDomain object to the list of subresources
    `T` | `securityDomain(String childKey)` Create and configure a SecurityDomain object to the list of subresources
    `T` | `securityDomain(String childKey, SecurityDomainConsumer consumer)` Create and configure a SecurityDomain object to the list of subresources
    `T` | `securityDomains(List<SecurityDomain> value)` Add all SecurityDomain objects to this subresource
    `Security.SecurityResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Security

          public Security()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Security.SecurityResources subresources()

    - #### securityDomains

          public T securityDomains(List<SecurityDomain> value)

      Add all SecurityDomain objects to this subresource
      Parameters:
        `value` - List of SecurityDomain objects.
      Returns:
        this

    - #### securityDomain

          public T securityDomain(SecurityDomain value)

      Add the SecurityDomain object to the list of subresources
      Parameters:
        `value` - The SecurityDomain to add
      Returns:
        this

    - #### securityDomain

          public T securityDomain(String childKey,
                                  SecurityDomainConsumer consumer)

      Create and configure a SecurityDomain object to the list of subresources
      Parameters:
        `key` - The key for the SecurityDomain resource
        `config` - The SecurityDomainConsumer to use
      Returns:
        this

    - #### securityDomain

          public T securityDomain(String childKey)

      Create and configure a SecurityDomain object to the list of subresources
      Parameters:
        `key` - The key for the SecurityDomain resource
      Returns:
        this

    - #### securityDomain

          public T securityDomain(SecurityDomainSupplier supplier)

      Install a supplied SecurityDomain object to the list of subresources

    - #### elytronTrustManagers

          public T elytronTrustManagers(List<ElytronTrustManager> value)

      Add all ElytronTrustManager objects to this subresource
      Parameters:
        `value` - List of ElytronTrustManager objects.
      Returns:
        this

    - #### elytronTrustManager

          public T elytronTrustManager(ElytronTrustManager value)

      Add the ElytronTrustManager object to the list of subresources
      Parameters:
        `value` - The ElytronTrustManager to add
      Returns:
        this

    - #### elytronTrustManager

          public T elytronTrustManager(String childKey,
                                       ElytronTrustManagerConsumer consumer)

      Create and configure a ElytronTrustManager object to the list of subresources
      Parameters:
        `key` - The key for the ElytronTrustManager resource
        `config` - The ElytronTrustManagerConsumer to use
      Returns:
        this

    - #### elytronTrustManager

          public T elytronTrustManager(String childKey)

      Create and configure a ElytronTrustManager object to the list of subresources
      Parameters:
        `key` - The key for the ElytronTrustManager resource
      Returns:
        this

    - #### elytronTrustManager

          public T elytronTrustManager(ElytronTrustManagerSupplier supplier)

      Install a supplied ElytronTrustManager object to the list of subresources

    - #### elytronKeyManagers

          public T elytronKeyManagers(List<ElytronKeyManager> value)

      Add all ElytronKeyManager objects to this subresource
      Parameters:
        `value` - List of ElytronKeyManager objects.
      Returns:
        this

    - #### elytronKeyManager

          public T elytronKeyManager(ElytronKeyManager value)

      Add the ElytronKeyManager object to the list of subresources
      Parameters:
        `value` - The ElytronKeyManager to add
      Returns:
        this

    - #### elytronKeyManager

          public T elytronKeyManager(String childKey,
                                     ElytronKeyManagerConsumer consumer)

      Create and configure a ElytronKeyManager object to the list of subresources
      Parameters:
        `key` - The key for the ElytronKeyManager resource
        `config` - The ElytronKeyManagerConsumer to use
      Returns:
        this

    - #### elytronKeyManager

          public T elytronKeyManager(String childKey)

      Create and configure a ElytronKeyManager object to the list of subresources
      Parameters:
        `key` - The key for the ElytronKeyManager resource
      Returns:
        this

    - #### elytronKeyManager

          public T elytronKeyManager(ElytronKeyManagerSupplier supplier)

      Install a supplied ElytronKeyManager object to the list of subresources

    - #### elytronTrustStores

          public T elytronTrustStores(List<ElytronTrustStore> value)

      Add all ElytronTrustStore objects to this subresource
      Parameters:
        `value` - List of ElytronTrustStore objects.
      Returns:
        this

    - #### elytronTrustStore

          public T elytronTrustStore(ElytronTrustStore value)

      Add the ElytronTrustStore object to the list of subresources
      Parameters:
        `value` - The ElytronTrustStore to add
      Returns:
        this

    - #### elytronTrustStore

          public T elytronTrustStore(String childKey,
                                     ElytronTrustStoreConsumer consumer)

      Create and configure a ElytronTrustStore object to the list of subresources
      Parameters:
        `key` - The key for the ElytronTrustStore resource
        `config` - The ElytronTrustStoreConsumer to use
      Returns:
        this

    - #### elytronTrustStore

          public T elytronTrustStore(String childKey)

      Create and configure a ElytronTrustStore object to the list of subresources
      Parameters:
        `key` - The key for the ElytronTrustStore resource
      Returns:
        this

    - #### elytronTrustStore

          public T elytronTrustStore(ElytronTrustStoreSupplier supplier)

      Install a supplied ElytronTrustStore object to the list of subresources

    - #### elytronKeyStores

          public T elytronKeyStores(List<ElytronKeyStore> value)

      Add all ElytronKeyStore objects to this subresource
      Parameters:
        `value` - List of ElytronKeyStore objects.
      Returns:
        this

    - #### elytronKeyStore

          public T elytronKeyStore(ElytronKeyStore value)

      Add the ElytronKeyStore object to the list of subresources
      Parameters:
        `value` - The ElytronKeyStore to add
      Returns:
        this

    - #### elytronKeyStore

          public T elytronKeyStore(String childKey,
                                   ElytronKeyStoreConsumer consumer)

      Create and configure a ElytronKeyStore object to the list of subresources
      Parameters:
        `key` - The key for the ElytronKeyStore resource
        `config` - The ElytronKeyStoreConsumer to use
      Returns:
        this

    - #### elytronKeyStore

          public T elytronKeyStore(String childKey)

      Create and configure a ElytronKeyStore object to the list of subresources
      Parameters:
        `key` - The key for the ElytronKeyStore resource
      Returns:
        this

    - #### elytronKeyStore

          public T elytronKeyStore(ElytronKeyStoreSupplier supplier)

      Install a supplied ElytronKeyStore object to the list of subresources

    - #### elytronRealms

          public T elytronRealms(List<ElytronRealm> value)

      Add all ElytronRealm objects to this subresource
      Parameters:
        `value` - List of ElytronRealm objects.
      Returns:
        this

    - #### elytronRealm

          public T elytronRealm(ElytronRealm value)

      Add the ElytronRealm object to the list of subresources
      Parameters:
        `value` - The ElytronRealm to add
      Returns:
        this

    - #### elytronRealm

          public T elytronRealm(String childKey,
                                ElytronRealmConsumer consumer)

      Create and configure a ElytronRealm object to the list of subresources
      Parameters:
        `key` - The key for the ElytronRealm resource
        `config` - The ElytronRealmConsumer to use
      Returns:
        this

    - #### elytronRealm

          public T elytronRealm(String childKey)

      Create and configure a ElytronRealm object to the list of subresources
      Parameters:
        `key` - The key for the ElytronRealm resource
      Returns:
        this

    - #### elytronRealm

          public T elytronRealm(ElytronRealmSupplier supplier)

      Install a supplied ElytronRealm object to the list of subresources

    - #### classicVault

          public T classicVault(ClassicVault value)

      Security Vault for attributes.

    - #### classicVault

          public T classicVault(ClassicVaultConsumer consumer)

      Security Vault for attributes.

    - #### classicVault

          public T classicVault()

      Security Vault for attributes.

    - #### classicVault

          public T classicVault(ClassicVaultSupplier supplier)

      Security Vault for attributes.

    - #### deepCopySubjectMode

          public Boolean deepCopySubjectMode()

      Sets the copy mode of subjects done by the security managers to be deep copies that makes copies of the subject principals and credentials if they are cloneable. It should be set to true if subject include mutable content that can be corrupted when multiple threads have the same identity and cache flushes/logout clearing the subject in one thread results in subject references affecting other threads.

    - #### deepCopySubjectMode

          public T deepCopySubjectMode(Boolean value)

      Sets the copy mode of subjects done by the security managers to be deep copies that makes copies of the subject principals and credentials if they are cloneable. It should be set to true if subject include mutable content that can be corrupted when multiple threads have the same identity and cache flushes/logout clearing the subject in one thread results in subject references affecting other threads.

    - #### initializeJacc

          public Boolean initializeJacc()

      Indicates if this subsystem should be in charge of initializing JACC related services.

    - #### initializeJacc

          public T initializeJacc(Boolean value)

      Indicates if this subsystem should be in charge of initializing JACC related services.

Copyright © 2017 JBoss by Red Hat. All rights reserved.